Subject: RE: A proposal for pachecksum and hash agility

From: "Liqiang(Larry) Zhu" <[email-masked]>
Date: Thu, 5 Jan 2006 20:03:43 -0800

Yes, I support this as well. 

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Jeffrey
Hutzelman
Sent: Thursday, January 05, 2006 7:21 PM
To: Sam Hartman; [email-masked]
Cc: Jeffrey Hutzelman
Subject: Re: A proposal for pachecksum and hash agility

On Thursday, January 05, 2006 05:44:47 PM -0500 Sam Hartman
<[email-masked]> wrote:

>
>
> I propose that in the next rev of pkinit, the paChecksum field become 
> optional.  The document should require that a particular error be 
> returned by current KDCs if the pachecksum field is not included.
> This error should support TypedData.
>
>
> Then in the future, we can add either an algorithm ID and Hash or we 
> can add a sequence of algorithm ID hash tuples.
>
>
> New clients wishing not to use SHa-1 will send a new style message 
> without the paChecksum fiennnld.  an old KDC will respond with the 
> error required by the spec.  That will allow a new client to know that

> it needs to retry with SHA-1.
>
>
> New KDCs will interpret the new fields and use a newer hash.
>
> New clients will probably want to include a non-sha-1 hash even when 
> including sha-1 in order to avoid downgrade attacks.
>
> But we can work out the details of new behavior later.  The important 
> thing to get right now is a mechanism for not sending SHA-1 while 
> still being informed by an old KDC that SHA-1 is required.

I support this proposal.

After further evaluation, I withdraw my concern about KDF negotiation,
as I can see an obvious means of adding KDF negotiation in the future
that does not depend on having any form of algorithm ID today.  The
language is a little clunky, but I don't think that's a problem.

-- Jeff